Get notifications
cURL
curl --request GET \ --url https://{hostname}.gable.ai/v0/notifications \ --header 'X-API-KEY: <api-key>'
{ "notifications": [ { "id": "<string>", "changeLogEventId": "<string>", "actionId": "<string>", "actionDetails": {}, "status": "PENDING", "createdAt": "2023-11-07T05:31:56Z", "retryCount": 1, "actionName": "<string>", "updatedAt": "2023-11-07T05:31:56Z", "userName": "<string>" } ] }
The limit used for offset-based pagination
The offset used for offset-based pagination
A field to order by
Ordering direction ('asc' or 'desc')
Successful operation
Show child attributes
The unique identifier of the created notification
The unique identifier of the change log event associated with the notification
The unique identifier of the action associated with the notification
Additional details about the action associated with the notification
The current status of the notification (e.g., "PENDING", "SENT", "FAILED")
PENDING
SENT
FAILED
The timestamp when the notification was created
The number of times the notification has been retried
x >= 0
The name of the actions associated with the notification
The timestamp when the notification was last updated
The name of the user who created the action